# OpalVideoFormatInternal Class Reference

`#include <mediafmt.h>`

Inheritance diagram for OpalVideoFormatInternal:

[legend]
Collaboration diagram for OpalVideoFormatInternal:
[legend]

## Public Member Functions

| OpalVideoFormatInternal (const char *fullName, RTP_DataFrame::PayloadTypes rtpPayloadType, const char *encodingName, unsigned maxFrameWidth, unsigned maxFrameHeight, unsigned maxFrameRate, unsigned maxBitRate, time_t timeStamp=0)
virtual PObject * | Clone () const
virtual bool | Merge (const OpalMediaFormatInternal &mediaFormat)

## Constructor & Destructor Documentation

OpalVideoFormatInternal::OpalVideoFormatInternal | ( | const char * | fullName,
|  | RTP_DataFrame::PayloadTypes | rtpPayloadType,
|  | const char * | encodingName,
|  | unsigned | maxFrameWidth,
|  | unsigned | maxFrameHeight,
|  | unsigned | maxFrameRate,
|  | unsigned | maxBitRate,
|  | time_t | timeStamp = `0` |
| ) |  |  |

## Member Function Documentation

virtual PObject* OpalVideoFormatInternal::Clone | ( |  | ) | const`[virtual]`

Reimplemented from OpalMediaFormatInternal.

Reimplemented in OpalPluginVideoFormatInternal.

virtual bool OpalVideoFormatInternal::Merge | ( | const OpalMediaFormatInternal & | mediaFormat | ) | `[virtual]`

Reimplemented from OpalMediaFormatInternal.

The documentation for this class was generated from the following file:

- mediafmt.h